Rectangle
=========

.. autoclass:: gaphas.geometry.Rectangle
   :members:


Geometry functions
==================
.. autofunction:: gaphas.geometry.distance_point_point
.. autofunction:: gaphas.geometry.distance_point_point_fast
.. autofunction:: gaphas.geometry.distance_rectangle_point
.. autofunction:: gaphas.geometry.point_on_rectangle
.. autofunction:: gaphas.geometry.distance_line_point
.. autofunction:: gaphas.geometry.intersect_line_line
.. autofunction:: gaphas.geometry.rectangle_contains
.. autofunction:: gaphas.geometry.rectangle_intersects
.. autofunction:: gaphas.geometry.rectangle_clip
